testsuite problem: warning: `-no-install' is ignored for i686-pc-cygwin

Billinghurst, David (CRTS) David.Billinghurst@riotinto.com
Thu May 2 19:51:00 GMT 2002


Following up on my cygwin testsuite post, the compilation tests
fail because libtool issues warnings 

libtool: link: warning: `-no-install' is ignored for i686-pc-cygwin
libtool: link: warning: assuming `-no-fast-install' instead

A nasty work around is to patch libtool, like so 

$ diff -u libtool.orig libtool
--- libtool.orig        Fri May  3 10:26:28 2002
+++ libtool     Fri May  3 10:28:22 2002
@@ -1772,8 +1772,8 @@
        *-*-cygwin* | *-*-mingw* | *-*-pw32* | *-*-os2*)
          # The PATH hackery in wrapper scripts is required on Windows
          # in order for the loader to find any dlls it needs.
-         $echo "$modename: warning: \`-no-install' is ignored for $host" 1>&2
-         $echo "$modename: warning: assuming \`-no-fast-install' instead" 1>&2
+         #$echo "$modename: warning: \`-no-install' is ignored for $host" 1>&2
+         #$echo "$modename: warning: assuming \`-no-fast-install' instead" 1>&2

          fast_install=no
          ;;
        *) no_install=yes ;;


It would be better to fix the testsuite flags.  Ideas welcome.

With this in place, you see the problem with executable filenames,
which is fixed by my libjava.exp patch sent to java-patches@



More information about the Java mailing list